Subject: Re: bug#56833: 29.0.50; suspend-frame causes emacs to stop responding

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 27 Aug 2022 17:32:13 +0200

Po Lu <[email-masked]> writes:

>> I'm running with emacs pgtk under Wayland.
>>
>> I suspect this is similar to bug #24119. If I do C-z, calling suspend,
>> it hides the window, but if I try to "restore" it, the main emacs
>> window
>> doesn't update anymore, I can only access the menus and top bar.
>
> This is a duplicate of bug#55836; could you please try what I told the
> original reporter and ack?

This was the suggesion:

---

I think this is a GTK bug, where the developers neglected to maintain
the iconification state on Wayland after GNOME removed the minimize
button from window title bars.

Can you set a breakpoint here (in pgtkterm.c), and see if it is ever hit
when you deiconify Emacs?

  if (event->window_state.new_window_state
      & GDK_WINDOW_STATE_ICONIFIED)
    SET_FRAME_ICONIFIED (f, true);
  else
    {
-->   FRAME_X_OUTPUT (f)->has_been_visible = true;
      inev.ie.kind = DEICONIFY_EVENT;
      XSETFRAME (inev.ie.frame_or_window, f);
      SET_FRAME_ICONIFIED (f, false);
    }

---

Olivier, would it be possible for you to try this?